function resp = resolve_response_norene(x,stim)

% verify these fixes
x = regexprep(x,'xx','x');
x = regexprep(x,'axe','xq');

temp = regexp(x,',','start');

start = 1;
R_count = 0;
for i = 1:length(temp)
    x_chunk = x(start:temp(i)-1);
    R = get_phones(x_chunk);
    if length(R) > 2
        diff_count = 0;
        for j = 2:length(R)
            if ~strcmp(R(j).category,R(j-1).category)
                diff_count = diff_count + 1;
            end
        end
        if diff_count > 1
            disp(['Weird Response: ' x_chunk])
            if strcmp(stim.category,'CV')
                disp(strcat('Input was (', stim.C, ')(', stim.V, ')'))
            else
                disp(strcat('Input was (', stim.V, ')(', stim.C, ')'))
            end
            x_new = input('Enter the corrected response: ','s');
            R = get_phones(x_new);
        end
    end
    R_total(R_count + [1:length(R)]) = R;
    R_count = R_count + length(R);
    start = temp(i) + 1;
end

x_chunk = x(start:length(x));
R = get_phones(x_chunk);
if length(R) > 2
    diff_count = 0;
    for i = 2:length(R)
        if ~strcmp(R(i).category,R(i-1).category)
            diff_count = diff_count + 1;
        end
    end
    if diff_count > 1
        disp(['Weird Response: ' x])
        if strcmp(stim.category,'CV')
            disp(strcat('Input was (', stim.C, ')(', stim.V, ')'))
        else
            disp(strcat('Input was (', stim.V, ')(', stim.C, ')'))
        end
        x_new = input('Enter the corrected response: ','s');
        R = get_phones(x_new);
    end
end
R_total(R_count + [1:length(R)]) = R;

% remove repetitions
R_new(1) = R_total(1);
R_new_count = 1;
for i = 2:length(R_total)
    temp = strmatch(R_total(i).r,{R_total(1:i-1).r});
    if temp
    else
        R_new_count = R_new_count + 1;
        R_new(R_new_count) = R_total(i);
    end
end

R = R(1);

if length(R_new) > 1
    temp_C = strmatch('C',{R_new.category});
    L_C = length(temp_C);
    temp_V = strmatch('V',{R_new.category});
    L_V = length(temp_V);
    if strcmp(stim.category,'CV')
        R(1:L_C) = R_new(temp_C);
        R(L_C + [1:L_V]) = R_new(temp_V);
    else
        R(1:L_V) = R_new(temp_V);
        R(L_V + [1:L_C]) = R_new(temp_C);
    end
    resp.category = [R(1).category R(end).category];
else
    resp.category = R.category;
end
resp.R = R;


resp.R = R;
