function R = get_phones(x)

C_choice_old = {'xc', 'xd', 'xg', 'xj', 'xs', 'xt', 'xz', 'b', 'd', 'f',...
    'g', 'h', 'k', 'l', 'm', 'n', 'p', 'r', 's', 't', 'v', 'w', 'y', 'z'};
V_choice_old = {'a', 'xq', 'xi', 'e', 'xa', 'xe', 'xo', 'xr', 'xu', 'xw',...
    'xy', 'c', 'i', 'o', 'u'};

R = regexp(x,'\((?<r>\w+)\)','names');

R_new(1) = R(1);
R_new_count = 1;
for i = 2:length(R)
    temp = strmatch(R(i).r,{R(1:i-1).r});
    if temp
    else
        R_new_count = R_new_count + 1;
        R_new(R_new_count) = R(i);
    end
end
R = R_new;

for i = 1:length(R)
    if ismember(R(i).r,C_choice_old)
        R(i).category = 'C';
    elseif ismember(R(i).r,V_choice_old)
        R(i).category = 'V';
    else
        disp(['Unidentified Response: ' R(i).r])
    end
end

