function stim = resolve_stim(x)
p_choice = {'xc', 'xd', 'xg', 'xj', 'xs', 'xt', 'xz', 'b', 'd', 'f',...
    'g', 'h', 'k', 'l', 'm', 'n', 'p', 'r', 's', 't', 'v', 'w', 'y', 'z',...
    'a', 'xq', 'xi', 'e', 'xa', 'xe', 'xo', 'xr', 'xu', 'xw',...
    'xy', 'c', 'i', 'o', 'u'};

if strcmp(x(1),'x')
    p1 = x(1:2);
    p2 = x(3:end);
else
    p1 = x(1);
    p2 = x(2:end);
end

s1 = strmatch(p1,p_choice);
s2 = strmatch(p2,p_choice);
if s1 < 25
    stim.C = p_choice(s1);
    stim.V = p_choice(s2);
    stim.category = 'CV';
else
    stim.C = p_choice(s2);
    stim.V = p_choice(s1);
    stim.category = 'VC';
end
